# Class CIM_OpaqueManagementDataCapabilities
extends CIM_EnabledLogicalElementCapabilities

CIM_OpaqueManagementDataCapabilities describes the capabilities of CIM_OpaqueManagementDataService.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Capabilities
|
+--CIM_EnabledLogicalElementCapabilities
|
+--CIM_OpaqueManagementDataCapabilities

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | CIM_OpaqueManagementDataCapabilities describes the capabilities of CIM_OpaqueManagementDataService.
UMLPackagePath | string | CIM::Core::OpaqueManagementData
Version | string | 2.23.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
MaxAvailableStorage | uint64 |
Description | string | The maximum number of bytes of opaque management data storage managed by the associated CIM_OpaqueManagementDataService, and hence the maximum value of the AvailableStorage property in the associated CIM_OpaqueManagementDataService.
ModelCorrespondence | string | CIM_OpaqueManagementDataService.AvailableStorage
PUnit | string | byte
MaxInstancesSupported | uint16 | 0
Description | string | MaxInstancesSupported shall indicate the maximum number of opaque management data instances that may exist within the scope of the CIM_OpaqueManagementDataService and managed by the associated instance of the CIM_OpaqueManagementDataService. A value of zero shall indicate that the maximum number of instances is unknown or that the maximum number of instances is not enforced.
MaxReadLength | uint64 |

Description

string

MaxReadLength indicates the maximum value that the service supports in the Length parameter of the ReadOpaqueManagementData method. Larger extents can be read by successively invoking ReadOpaqueManagementData on chunks of the data and reassembling them in the management client. When this is done, the LockOpaqueManagementData method should be used to prevent modification of the data by other clients between successive reads.

PUnit | string | byte
MaxWriteLength | uint64 |

Description

string

MaxWriteLength indicates the maximum value that the service supports in the Length parameter of the WriteOpaqueManagementData method. Larger extents can be written by successively invoking WriteOpaqueManagementData on chunks of the data and reassembling them in the management client. When this is done, the LockOpaqueManagementData method should be used to prevent modification of the data by other clients between successive writes.

PUnit | string | byte
TruncationSupported | boolean | false

Description

string

TruncationSupported indicates whether the associated CIM_OpaqueManagementDataService allows a client to truncate the data in a CIM_OpaqueManagementData instance by reducing the value of its DataSize property. If TruncationSupported = true, then the Service shall support reduction of the value of CIM_OpaqueManagementData.DataSize .If TruncationSupported = false or is null, then the Service shall not support reduction of the value of CIM_OpaqueManagementData.DataSize

SupportedExportURISchemes | uint16[] |
Description | string | This property lists the URI schemes supported by OpaqueManagementDataService.ExportOpaqueManagementDataToURI().
ValueMap | string | 2, 3, 4, 5, 6, 7, 8, .., 0x8000..0xFFFF
Values | string | data, file, ftp, http, https, nfs, tftp, DMTF Reserved, Vendor Specific
SupportedImportURISchemes | uint16[] |
Description | string | This property lists the URI schemes supported by OpaqueManagementDataService.ImportOpaqueManagementDataFromURI().
ValueMap | string | 2, 3, 4, 5, 6, 7, 8, .., 0x8000..0xFFFF
Values | string | data, file, ftp, http, https, nfs, tftp, DMTF Reserved, Vendor Specific
SupportedMethods | uint16[] |
Description | string | This property advertises the methods that are supported by the service.
ValueMap | string | 1, 2, 3, 4, 5, 6, 7, 8, 9, .., 0x80..
Values | string | Other, Create, Read, ExportToURI, Write, ImportFromURI, Lock, ReassignOwnership, AssignAccess, DMTF Reserved, Vendor Specific

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_Capabilities
ElementNameEditSupported | boolean | CIM_EnabledLogicalElementCapabilities
ElementNameMask | string | CIM_EnabledLogicalElementCapabilities
InstanceID | string | CIM_Capabilities
MaxElementNameLen | uint16 | CIM_EnabledLogicalElementCapabilities
RequestedStatesSupported | uint16[] | CIM_EnabledLogicalElementCapabilities

## Class Methods